.pa_photolist li {
  display: inline;
  float: left;
  margin-left: 10px;
  margin-bottom: 10px;
}

.adminbuttons {
  display: inline-flex !important;
  flex-direction: column;
  gap: 0.5rem;
  padding: 1rem;
}
.adminbuttons a:nth-child(2) {
  color: #707070;
}
.adminbuttons:hover {
  box-shadow: 0px 4px 12px 0px #1d1d1d14 !important;
}
.ezIcon {
  height: var(--icon);
  width: var(--icon);
  min-width: var(--icon);
  min-height: var(--icon);
  display: inline-flex;
  vertical-align: middle;
  background: var(--icon-color);
  mask: var(--icon-url) no-repeat center / var(--icon-inner, cover);
  -webkit-mask: var(--icon-url) no-repeat center / var(--icon-inner, cover);
  margin-inline-start: var(--icon-ml, 0);
  margin-inline-end: var(--icon-mr, 0);
  margin-block: var(--icon-mt, 0) var(--icon-mb, 0);
  transition: all var(--transition);
  -webkit-transition: all var(--transition);
  rotate: calc(var(--icon-rotate, 0deg) * var(--direction-num, 1));
  transform: var(--icon-transform, none);
}
.adminbuttons .ezIcon {
  --icon: 32px;
  --icon-color: #3d3d3d;
}
.adminbuttons a.MenuTopSelected .ezIcon {
  --icon-color: #193373;
}
.adminbuttons a.MenuTopSelected:nth-child(2) {
  border-bottom: 1px solid #2c51ae;
  padding-bottom: 0.5rem;
  color: #2b2b2b;
  font-weight: 600;
}

.progressWrapper {
  width: 357px;
  overflow: hidden;
  background-color: #000;
}

.progressContainer {
  margin: 1px;
  padding: 4px;
  border: solid 1px #e8e8e8;
  background-color: #f7f7f7;
  overflow: hidden;
}

.progressBarComplete,
.progressBarError,
.progressBarInProgress {
  font-size: 0;
  width: 0;
  height: 2px;
  background-color: #00f;
  text-align: left;
  margin-top: 2px;
  float: left;
}

.progressBarComplete {
  width: 100%;
  background-color: green;
  visibility: hidden;
}

.progressBarError {
  width: 100%;
  background-color: red;
  visibility: hidden;
}

.progressBarStatus {
  margin-top: 2px;
  text-align: left;
  white-space: nowrap;
}

a.progressCancel,
a.progressCancel:active,
a.progressCancel:hover,
a.progressCancel:link,
a.progressCancel:visited {
  font-size: 0;
  display: block;
  height: 14px;
  width: 14px;
  background-image: url(Images/Uploader/cancelbutton.gif);
  background-repeat: no-repeat;
  background-position: -14px 0;
  float: right;
}

a.progressCancel:hover {
  background-position: 0 0;
}

#ColorPickerDiv {
  display: block;
  display: none;
  position: relative;
  border: 1px solid #777;
  background: #fff;
}

#ColorPickerDiv TD.color {
  cursor: pointer;
  font-size: xx-small;
  font-family: Arial, "Microsoft Sans Serif";
}

#ColorPickerDiv TD.color label {
  cursor: pointer;
}

.ColorPickerDivSample {
  margin: 0 0 0 4px;
  border: solid 1px #000;
  padding: 0 10px;
  position: relative;
  cursor: pointer;
}

#tabs-myarticles {
  padding-top: 10px;
}

.table-striped > tbody > tr .table,
.table-striped > tbody > tr .table td,
.table-striped > tbody > tr .table tr {
  border: none !important;
  background-color: transparent !important;
}

.bootstraptablespinner {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.5);
}

.security-mode td {
  white-space: nowrap;
}

.security-mode td input {
  margin: 0 10px 0 0;
}

#Form,
form {
  height: auto !important;
}

.mark {
  padding: 0 !important;
  background-color: none !important;
}

.parent-comment {
  color: #0c5460;
  background-color: #d1ecf1;
  border-color: #bee5eb;
  padding: 0.75rem 1.25rem;
  margin-bottom: 1rem;
  border: 1px solid transparent;
  border-radius: 0.25rem;
}

.message-box {
  color: #721c24;
  background-color: #f8d7da;
  border-color: #f5c6cb;
  padding: 0.75rem 1.25rem;
  margin-bottom: 1rem;
  border: 1px solid transparent;
  border-radius: 0.25rem;
}

/*colors*/
.green {
  color: forestgreen;
}

.blue {
  color: darkblue;
}

.red {
  color: red;
}

.orange {
  color: orangered;
}

.light-blue {
  color: #58a3bb;
}

/*align*/
.text-justify {
  text-align: justify;
}

.text-center {
  text-align: center;
}

.right-float {
  float: left;
}

.left-float {
  float: right;
}

.clear_float {
  clear: both;
  line-height: 0;
  font-size: 0;
}

.bold {
  font-weight: bold !important;
}

/*--------ucAdminOptions----------*/
.AdminOptions .row {
  border: solid 1px #ececec;
  margin-top: 15px;
  margin-left: 0;
  min-height: 85px;
  padding: 10px 0 !important;
}

.AdminOptions a .row {
  -webkit-transition: all 200ms ease-out 0s;
  -moz-transition: all 200ms ease-out 0s;
  -o-transition: all 200ms ease-out 0s;
  transition: all 200ms ease-out 0s;
}

.AdminOptions a:hover .row {
  box-shadow: none !important;
}

.AdminOptions a .NormalBold {
  font-size: 15px;
  -webkit-transition: all 200ms ease-out 0s;
  -moz-transition: all 200ms ease-out 0s;
  -o-transition: all 200ms ease-out 0s;
  transition: all 200ms ease-out 0s;
}

.AdminOptions a:hover .NormalBold {
  color: #0053a5;
}

.AdminOptions a .Normal {
  font-size: 13px;
}

.AdminOptions .row .col-sm-3 {
  text-align: center;
}

.AdminOptions a .fa {
  font-size: 50px;
  color: #309dcf;
  -webkit-transition: all 200ms ease-out 0s;
  -moz-transition: all 200ms ease-out 0s;
  -o-transition: all 200ms ease-out 0s;
  transition: all 200ms ease-out 0s;
}

.AdminOptions a:hover .fa {
  color: #0053a5;
}

.tag-item a {
  background: #929897;
  color: #fff !important;
  padding: 6px;
  font-size: 14px;
  margin-bottom: 10px;
  display: inline-block;
  text-decoration: none;
  transition: background-color ease-in 200ms;
  -moz-transition: background-color ease-in 200ms;
  -webkit-transition: background-color ease-in 200ms;
  -o-transition: background-color ease-in 200ms;
  -ms-transition: background-color ease-in 200ms;
}

.tag-item:hover a {
  text-decoration: none;
  background: #777b7b;
}

.tag-item {
  display: inline-block;
}

.dnnFormItem ul li {
  list-style-type: none;
}

/*-----------------*/
.PagingTable {
  width: 100%;
  background: #fff;
  height: 40px;
  margin-bottom: 35px;
}

.PagingTable a:hover {
  background: #03c1f3;
  color: #fff;
}

.PagingTable a,
.PagingTable td span {
  background: #fff;
  line-height: 17px;
  height: 35px;
  display: inline-block;
  margin: 0 3px;
  text-align: center;
  color: #888;
  padding: 10px 15px;
  box-shadow: 1px 1px 1px 1px #eee;
  border-radius: 5px;
  font-weight: bold;
}

.btn-vote {
  display: inline-block;
  padding: 2px 4px;
  border: 1px solid #8f8f8f;
  border-radius: 5px;
}

.btn-vote i {
  display: inline-block;
  margin-left: 4px;
  color: #000;
  font-weight: 700;
  font-style: normal;
  font-size: 0.6rem;
}

.btn-vote.btn-like {
  border: 1px solid #5ac22b;
  background-color: #5ac22b;
  color: #fff;
}

.btn-vote.btn-like i,
.btn-vote.btn-like a,
.btn-vote.btn-like a:link,
.btn-vote.btn-like a:visited,
.btn-vote.btn-like a:hover,
.btn-vote.btn-like a:active {
  color: #fff;
}

.btn-vote.btn-dislike {
  border: 1px solid #e83434;
  background-color: #e83434;
  color: #fff;
}

.btn-vote.btn-dislike i,
.btn-vote.btn-dislike a,
.btn-vote.btn-dislike a:link,
.btn-vote.btn-dislike a:visited,
.btn-vote.btn-dislike a:hover,
.btn-vote.btn-dislike a:active {
  color: #fff;
}
.ez-news .row {
  border-radius: 12px;
  border: 1px solid var(--gray-95, #e4e4e4);
  background: var(--Gray-G100, #fff);
  transition: all 300ms;
  flex-shrink: 0 !important;
}
.AdminOptions a .row {
  padding: 16px 0 16px 16px !important;
}
body:not(.rtl) .AdminOptions a .row {
  padding: 16px 16px 16px 0 !important;
}

.ez-news .col-sm-4 {
  padding-right: 24px !important;
}
.ez-news .row:hover {
  background: var(--primary-30, #007a6b);
}
.ez-news .row:hover .ezIcon {
  --icon-color: white !important;
}
.ez-news .NormalBold {
  color: var(--gray-20, #3d3d3d);
  text-align: start;
  font-size: 16px;
  font-style: normal;
  font-weight: 600;
  line-height: 32px; /* 200% */
}
.ez-news .Normal {
  color: var(--gray-30, #4f4f4f);
  text-align: start;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 32px; /* 228.571% */
  white-space: nowrap;
}

.rtl .ez-news .NormalBold,
.rtl .ez-news .Normal {
  font-family: "Vazirmatn FD";
}

.ez-news .row:hover span {
  color: var(--gray-100, #fff) !important;
}
.ez-news .row span {
  transition: all 300ms;
}
.ez-news .row .col-sm-3 {
  padding: 0 16px 0 0 !important;
  align-items: center;
  justify-content: start;
  display: flex;
  position: relative;
}
body:not(.rtl) .ez-news .row .col-sm-3 {
  padding: 0 0 0 16px !important;
  align-items: center;
  justify-content: start;
  display: flex;
  position: relative;
}
/* Mobile (under 768px) */
@media (max-width: 768px) {
  .ez-news .row .col-sm-3 {
    justify-content: flex-start;
    padding-right: 20px !important;
    padding-bottom: 10px !important;
  }
}
.ez-news .row .col-sm-3::after {
  content: "";
  width: 48px;
  height: 48px;
  flex-shrink: 0;
  border-radius: 8px 0 0 8px !important;
  background: var(--gray-99, #f2f2f2);
  position: absolute !important;
  right: 0;
  transition: all 300ms;
}
body:not(.rtl) .ez-news .row .col-sm-3::after {
  content: "";
  width: 48px;
  height: 48px;
  flex-shrink: 0;
  border-radius: 0 8px 8px 0 !important;
  background: var(--gray-99, #f2f2f2);
  position: absolute !important;
  left: 0 !important;
  transition: all 300ms;
}
.ez-news .row:hover .col-sm-3::after {
  background: var(--primary-30, #007a6b) !important;
}
.ez-news .row .col-sm-9 {
  padding: 0 !important;
  align-items: start;
  justify-content: center;
  display: flex;
  gap: 8px !important;
  flex-direction: column !important;
}
.ez-news .ezIcon {
  --icon: 48px;
  --icon-color: var(--primary-30, #007a6b);
  z-index: 10 !important;
}
.ez-menu-item .adminbuttons {
  border-radius: 8px !important;
  transition: all 300ms !important;
}
.ez-menu-item .adminbuttons:hover {
  box-shadow: 0 4px 12px 0 rgba(29, 29, 29, 0.08) !important;
}

/* -------------------------------------------------------------------------- */

/*                               ROOT Variables                               */

/* -------------------------------------------------------------------------- */

body:is(.personabar-visible) a[title="Click to edit"]::after {
  --icon: 24px;
  --icon-url: url("/DesktopModules/DnnForge%20-%20NewsArticles/Images/Icon/pencil.svg") !important;
  background: black !important;
  content: "";
  transform: unset !important;
  margin: 0;
  padding: 0;
  rotate: unset;
}
body:is(.personabar-visible) a[title="Click to edit"] {
  opacity: 0.5 !important;
  padding: 6px !important;
}
body:is(.personabar-visible) a[title="Click to edit"]:hover {
  opacity: 1 !important;
}
